#include <bits/stdc++.h>

using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);
    cin.tie(NULL);
	int n, a;
	cin>>n>>a;
	if(n < 3*a)
	{
		cout<<-1;
		return 0;
	}
	int k;
	k = n - 2*a;
	int p1, p2, p3, z1, z2, z3;
	if(k > 2*a - 2)
	{
		p1 = a;
		p2 = a;
		if(k % 2 == 1)
		{
			k -= 1;
			z1 = 1;
		}
		else
		{
			z1 = 0;
		}
		z2 = 0;
		p3 = k/2 + 1;
		z3 = k/2 - 1;
	}
	else
	{
		p1 = a;
		p2 = a;
		p3 = a;
		z1 = 0;
		z2 = 0;
		z3 = k - a;
	}

	cout<<p1<<" "<<z1<<endl;
	cout<<p2<<" "<<z2<<endl;
	cout<<p3<<" "<<z3<<endl;
}